Credit Score Factors
curl --request GET \
--url https://staging.debt-wise.com/api/users/{id}/credit_scores \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.debt-wise.com/api/users/{id}/credit_scores"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.debt-wise.com/api/users/{id}/credit_scores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"date": "2024-07-11",
"score": 815,
"credit_mix": {
"amount": 3,
"factor": "Good"
},
"new_credit": {
"amount": 1,
"factor": "Good"
},
"last_name": "Smith",
"increase": 10,
"payment_history": {
"amount": 97.5,
"factor": "Good"
},
"credit_utilization": {
"amount": 15,
"factor": "Good"
},
"derogatory_marks": {
"amount": 1,
"factor": "Poor"
},
"credit_age": {
"amount": 7.1,
"factor": "Good"
}
}{
"error": {
"code": "internal_server_error",
"message": "We've notified our engineers and hope to address this issue shortly."
}
}Credit Scores
Credit Score Factors
Retrieve a user’s credit score and how various factors are impacting it
GET
/
api
/
users
/
{id}
/
credit_scores
Credit Score Factors
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
We can compress a response with gzip.
Example:
"gzip deflate"
API API Version. See Versioning page for more details.
Example:
"2024-07-01"
Path Parameters
An userId.
Example:
1
Response
Returns a user's credit score and details of the factors behind it
Credit score ID
Example:
1
Current credit score date. Last updated from vendor.
Example:
"2024-07-11"
User's VantageScore 3.0. From
Required range:
300 <= x <= 850Example:
815
Show child attributes
Show child attributes
Show child attributes
Show child attributes
User's last name
Example:
"Smith"
User's credit score increase after last update
Required range:
-850 <= x <= 850Example:
10
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes